Subject: Re: bug#37347: 'guix environment' fails after trying to follow the steps from "Running Guix Before It Is Installed" page

From: Bengt Richter <[email-masked]>
Date: Thu, 3 Oct 2019 12:57:46 -0700

On +2019-09-16 18:01:04 +0200, Ludovic Courtès wrote:
> Hi Jan,
> 
> Jan <[email-masked]> skribis:
> 
> > guix/build/download.scm:313:6: In procedure tls-wrap:
> > X.509 certificate of 'api.github.com' could not be verified:
> >   signer-not-found
> >   invalid
> 
> It looks like X.509 certificates used to authenticate web sites over
> HTTPS could not be found.
> 
> Did you set environment variables and all as described at
> <https://guix.gnu.org/manual/en/html_node/X_002e509-Certificates.html>?
> 
> HTH,
> Ludo’.
> 
> 
> 

I could not get to that manual url:
https://guix.gnu.org/manual/en/html_node/X_002e509-Certificates.html

Not with with lynx, nor
emacs M-x eww, nor
weston-launch, click for terminal, firefox --private &, paste above url

As close as I could get (in firefox, but think lynx and eww would go too):
https://www.gnu.org/manual/manual.html

Where I found: broken links in the above:
https://www.gnu.org/software/guix/manual/
https://www.gnu.org/software/guix/

IOW, I couldn't get to the manual.
Am I in a DNS bubble of some kind?

If the site is just bogged down busy it shouldn't 404, right?
Nor on some auth failure -- that should be another code, right?

Doesn't gnu.org have a little broken-link scanner for its own domain?

Does no one else encounter access problems and broken links??

TIA for clues.
--
Regards,
Bengt Richter